https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/versionReturns a paginated list of all versions in a project. See the Get project versions resource if you want to get a full list of versions without pagination. This operation can be accessed anonymously. **Permissions required:** *Browse Projects* project permission for the project.
The project ID or project key (case sensitive).
The index of the first item to return in a page of results (page offset).
The maximum number of items to return per page.
[Order](#ordering) the results by a field: * `description` Sorts by version description. * `name` Sorts by version name. * `releaseDate` Sorts by release date, starting with the oldest date. Versions with no release date are listed last. * `sequence` Sorts by the order of appearance in the user interface. * `startDate` Sorts by start date, starting with the oldest date. Versions with no start date are listed last.
Filter the results using a literal string. Versions with matching `name` or `description` are returned (case insensitive).
A list of status values used to filter the results by version status. This parameter accepts a comma-separated list. The status values are `released`, `unreleased`, and `archived`.
Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include: * `issuesstatus` Returns the number of issues in each status category for each version. * `operations` Returns actions that can be performed on the specified version.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/version' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/versionReturns a paginated list of all versions in a project. See the Get project versions resource if you want to get a full list of versions without pagination. This operation can be accessed anonymously. **Permissions required:** *Browse Projects* project permission for the project.
The project ID or project key (case sensitive).
The index of the first item to return in a page of results (page offset).
The maximum number of items to return per page.
[Order](#ordering) the results by a field: * `description` Sorts by version description. * `name` Sorts by version name. * `releaseDate` Sorts by release date, starting with the oldest date. Versions with no release date are listed last. * `sequence` Sorts by the order of appearance in the user interface. * `startDate` Sorts by start date, starting with the oldest date. Versions with no start date are listed last.
Filter the results using a literal string. Versions with matching `name` or `description` are returned (case insensitive).
A list of status values used to filter the results by version status. This parameter accepts a comma-separated list. The status values are `released`, `unreleased`, and `archived`.
Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include: * `issuesstatus` Returns the number of issues in each status category for each version. * `operations` Returns actions that can be performed on the specified version.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/version' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}